package palacinka;

import dodatak.Dodatak;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Korisnik
 */
public class Palacinka {
    
    private String naziv;
    private int cena;
    private Dodatak dodatak1;
    private Dodatak dodatak2;

    public Palacinka(Dodatak dodatak1, Dodatak dodatak2) {
        naziv = "Palacinka";
        cena = 80;
        this.dodatak1 = dodatak1;
        this.dodatak2 = dodatak2;
    }

    public String getNaziv() {
        if (dodatak1 != null) {
            naziv += dodatak1.getNaziv();
        }
        if (dodatak2 != null) {
            naziv += dodatak2.getNaziv();
        }
        return naziv;
    }

    public int getCena() {
        if (dodatak1 != null) {
            cena += dodatak1.getCena();
        }
        if (dodatak2 != null) {
            cena += dodatak2.getCena();
        }
        return cena;
    }

    @Override
    public String toString() {
        return getNaziv() + " - " + getCena() + " din.";
    }
    
}
