/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pozoriste;

import predstava.Antigona;
import predstava.DrzavniSluzbenici;
import predstava.SumnjivoLice;

/**
 *
 * @author Luka
 */
public class PozoristeBoskoBuha {
    
    private String naziv;
    private String adresa;
    private Antigona antigona;
    private SumnjivoLice sumnjivoLice;
    private DrzavniSluzbenici drzavniSluzbenici;

    public PozoristeBoskoBuha(Antigona antigona, SumnjivoLice sumnjivoLice, DrzavniSluzbenici drzavniSluzbenici) {
        naziv = "Pozoriste Bosko Buha";
        adresa = "Trg Republike 3, 11000 Beograd, Srbija";
        this.antigona = antigona;
        this.sumnjivoLice = sumnjivoLice;
        this.drzavniSluzbenici = drzavniSluzbenici;
    }

    public void rezervisiKarteZaAntigonu(int brojKarata) {
        for (int i = 0; i < brojKarata; i++) {
            antigona.rezervisiKartu();
        }
        System.out.println("Rezervisano je " + brojKarata + " karata u pozoristu " + naziv + " za predstavu " + antigona.getNaziv() + ".");
    }
    
    public void rezervisiKarteZaSumnjivoLice(int brojKarata) {
        for (int i = 0; i < brojKarata; i++) {
            sumnjivoLice.rezervisiKartu();
        }
        System.out.println("Rezervisano je " + brojKarata + " karata u pozoristu " + naziv + " za predstavu " + sumnjivoLice.getNaziv() + ".");
    }
    
    public void rezervisiKarteZaDrzavneSluzbenike(int brojKarata) {
        for (int i = 0; i < brojKarata; i++) {
            drzavniSluzbenici.rezervisiKartu();
        }
        System.out.println("Rezervisano je " + brojKarata + " karata u pozoristu " + naziv + " za predstavu " + drzavniSluzbenici.getNaziv() + ".");
    }
    
}
