package start;

import abstraction.Pozoriste;
import implementor.concreteImplementor.Antigona;
import abstraction.refinedAbstraction.NarodnoPozoriste;
import client.Gledalac;
import abstraction.refinedAbstraction.PozoristeBoskoBuha;
import implementor.Predstava;
import implementor.concreteImplementor.DrzavniSluzbenici;
import implementor.concreteImplementor.SumnjivoLice;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Luka
 */
public class Start {
    
    public static void main(String[] args) {
        
        Predstava antigona = new Antigona();
        Predstava sumnjivoLice = new SumnjivoLice();
        Predstava drzavniSluzbenici = new DrzavniSluzbenici();
        
        Pozoriste narodnoPozoriste;
        narodnoPozoriste = new NarodnoPozoriste(antigona);
        //narodnoPozoriste = new NarodnoPozoriste(sumnjivoLice);
        //narodnoPozoriste = new NarodnoPozoriste(drzavniSluzbenici);
        Pozoriste pozoristeBoskoBuha;
        //pozoristeBoskoBuha = new PozoristeBoskoBuha(antigona);
        pozoristeBoskoBuha = new PozoristeBoskoBuha(sumnjivoLice);
        //pozoristeBoskoBuha = new PozoristeBoskoBuha(drzavniSluzbenici);
        
        Gledalac gledalac;
        gledalac = new Gledalac("Pera", "Peric", narodnoPozoriste);
        //gledalac = new Gledalac("Pera", "Peric", pozoristeBoskoBuha);
        
        gledalac.rezervisiKarteUPozoristuZaPredstavu(10);
        
    }
    
}
