/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package start;

import racunar.delovi.Kuciste;
import racunar.delovi.Mis;
import racunar.delovi.Monitor;
import racunar.delovi.Zvucnici;
import racunar.delovi.kuciste.GrafickaKarta;
import racunar.delovi.kuciste.Procesor;
import racunar.delovi.mis.Kabl;
import racunar.delovi.mis.Tockic;
import korisnik.Korisnik;
import racunar.Racunar;

/**
 *
 * @author Luka
 */
public class Start {
    
    public static void main(String[] args) {
        
        Monitor monitor = new Monitor();
        
        Procesor procesor = new Procesor();
        GrafickaKarta grafickaKarta = new GrafickaKarta();
        Kuciste kuciste = new Kuciste(procesor, grafickaKarta);
        
        Zvucnici zvucnici = new Zvucnici();
        
        Kabl kabl = new Kabl();
        Tockic tockic = new Tockic();
        Mis mis = new Mis(kabl, tockic);
        
        Racunar racunar = new Racunar(monitor, kuciste, zvucnici, mis);
        
        Korisnik korisnik = new Korisnik(racunar);
        korisnik.prikaziRacunarSaSvimKomponentama();
        
    }
    
}
