package palacinka;


import dodatak.Banana;
import dodatak.Eurokrem;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Luka
 */
public class Palacinka {
    
    private String naziv;
    private int cena;
    private Eurokrem eurokrem;
    private Banana banana;
    
    public Palacinka(Eurokrem eurokrem, Banana banana) {
        naziv = "Palacinka";
        cena = 80;
        this.eurokrem = eurokrem;
        this.banana = banana;
    }
    
    public String getNaziv() {
        if (eurokrem != null) {
            naziv += " " + eurokrem.getNaziv();
        }
        if (banana != null) {
            naziv += " " + banana.getNaziv();
        }
        return naziv;
    }

    public int getCena() {
        if (eurokrem != null) {
            cena += eurokrem.getCena();
        }
        if (banana != null) {
            cena += banana.getCena();
        }
        return cena;
    }
    
}
