package palacinka;

import dodatak.Banana;
import dodatak.Kokos;
import dodatak.Plazma;
import dodatak.Visnja;
import dodatak.Dzem;
import dodatak.Eurokrem;
import dodatak.Nutela;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author Luka
 */
public class Palacinka {

    private String naziv;
    private int cena;
    private Eurokrem eurokrem;
    private Nutela nutela;
    private Dzem dzem;
    private Banana banana;
    private Visnja visnja;
    private Plazma plazma;
    private Kokos kokos;

    public Palacinka(Eurokrem eurokrem, Nutela nutela, Dzem dzem, Banana banana, Visnja visnja, Plazma plazma, Kokos kokos) {
        naziv = "Palacinka";
        cena = 80;
        this.eurokrem = eurokrem;
        this.nutela = nutela;
        this.dzem = dzem;
        this.banana = banana;
        this.visnja = visnja;
        this.plazma = plazma;
        this.kokos = kokos;
    }

    public String getNaziv() {
        if (eurokrem != null) {
            naziv += " " + eurokrem.getNaziv();
        }
        if (nutela != null) {
            naziv += " " + nutela.getNaziv();
        }
        if (dzem != null) {
            naziv += " " + dzem.getNaziv();
        }
        if (banana != null) {
            naziv += " " + banana.getNaziv();
        }
        if (visnja != null) {
            naziv += " " + visnja.getNaziv();
        }
        if (plazma != null) {
            naziv += " " + plazma.getNaziv();
        }
        if (dzem != null) {
            naziv += " " + dzem.getNaziv();
        }
        return naziv;
    }

    public int getCena() {
        if (eurokrem != null) {
            cena += eurokrem.getCena();
        }
        if (nutela != null) {
            cena += nutela.getCena();
        }
        if (dzem != null) {
            cena += dzem.getCena();
        }
        if (banana != null) {
            cena += banana.getCena();
        }
        if (visnja != null) {
            cena += visnja.getCena();
        }
        if (plazma != null) {
            cena += plazma.getCena();
        }
        if (kokos != null) {
            cena += kokos.getCena();
        }
        return cena;
    }

}
