/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package prijava;

import forma.FormaAdministrator;
import forma.FormaObicanKorisnik;
import forma.FormaPrivilegovanKorisnik;
import korisnik.Korisnik;

/**
 *
 * @author Luka
 */
public class PrijavaNaSistem {
    
    private FormaObicanKorisnik formaObicanKorisnik;
    private FormaPrivilegovanKorisnik formaPrivilegovanKorisnik;
    private FormaAdministrator formaAdministrator;
    private Korisnik korisnik;

    public PrijavaNaSistem(FormaObicanKorisnik formaObicanKorisnik, FormaPrivilegovanKorisnik formaPrivilegovanKorisnik, FormaAdministrator formaAdministrator, Korisnik korisnik) {
        this.formaObicanKorisnik = formaObicanKorisnik;
        this.formaPrivilegovanKorisnik = formaPrivilegovanKorisnik;
        this.formaAdministrator = formaAdministrator;
        this.korisnik = korisnik;
    }

    public void prikaziFormu() {
        switch (korisnik.getUloga()) {
            case OBICAN_KORISNIK:
                formaObicanKorisnik.prikaziFormu();
                break;
            case PRIVILEGOVAN_KORISNIK:
                formaPrivilegovanKorisnik.prikaziFormu();
                break;
            case ADMINISTRATOR:
                formaAdministrator.prikaziFormu();
                break;
            default:
                break;
        }
    }
    
}
