/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package proxy;

import korisnik.Korisnik;
import subject.Forma;
import realSubject.FormaAdministrator;
import realSubject.FormaObicanKorisnik;
import realSubject.FormaPrava;
import realSubject.FormaPrivilegovanKorisnik;

/**
 *
 * @author Korisnik
 */
public class FormaProxy implements Forma {

    private FormaPrava formaPrava;
    private Korisnik korisnik;

    public FormaProxy(Korisnik korisnik) {
        this.korisnik = korisnik;
    }

    @Override
    public void prikaziFormu() {
        switch (korisnik.getUloga()) {
            case OBICAN_KORISNIK:
                formaPrava = new FormaObicanKorisnik();
                break;
            case PRIVILEGOVAN_KORISNIK:
                formaPrava = new FormaPrivilegovanKorisnik();
                break;
            case ADMINISTRATOR:
                formaPrava = new FormaAdministrator();
                break;
            default:
                break;
        }
        if (formaPrava != null) {
            formaPrava.prikaziFormu();
        }
    }

}
