/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package composition;

import component.Komponenta;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Luka
 */
public abstract class Kompozicija extends Komponenta {

    protected List<Komponenta> komponente;

    public Kompozicija() {
        komponente = new ArrayList<>();
    }

    @Override
    public void prikazi(String razmak) {
        System.out.println(razmak + naziv);
        for (int i = 0; i < vratiBrojKomponenti(); i++) {
            vratiKomponentu(i).prikazi(razmak + "  ");
        }
    }
    
    @Override
    public void dodajKomponentu(Komponenta komponenta) {
        komponente.add(komponenta);
    }

    @Override
    public Komponenta vratiKomponentu(int indeks) {
        return komponente.get(indeks);
    }

    @Override
    public int vratiBrojKomponenti() {
        return komponente.size();
    }
    
}
