/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package start;

import client.Korisnik;
import component.Komponenta;
import composition.Kuciste;
import composition.Mis;
import leaf.Monitor;
import leaf.Zvucnici;
import leaf.GrafickaKarta;
import leaf.Procesor;
import leaf.Kabl;
import leaf.Tockic;
import composition.Racunar;

/**
 *
 * @author Luka
 */
public class Start {
    
    public static void main(String[] args) {
        
        Komponenta grafickaKarta = new GrafickaKarta();
        Komponenta kabl = new Kabl();
        Komponenta monitor = new Monitor();
        Komponenta procesor = new Procesor();
        Komponenta tockic = new Tockic();
        Komponenta zvucnici = new Zvucnici();
        
        Komponenta kuciste = new Kuciste();
        kuciste.dodajKomponentu(grafickaKarta);
        kuciste.dodajKomponentu(procesor);
        
        Komponenta mis = new Mis();
        mis.dodajKomponentu(kabl);
        mis.dodajKomponentu(tockic);
        
        Racunar racunar = new Racunar();
        racunar.dodajKomponentu(kuciste);
        racunar.dodajKomponentu(mis);
        racunar.dodajKomponentu(monitor);
        racunar.dodajKomponentu(zvucnici);
        
        Korisnik korisnik = new Korisnik(racunar);
        korisnik.prikaziRacunarSaSvimKomponentama();
        
    }
    
}
