/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package proxy;

import korisnik.Korisnik;
import subject.Forma;
import realSubject.FormaAdministrator;
import realSubject.FormaObicanKorisnik;
import realSubject.FormaPrivilegovanKorisnik;

/**
 *
 * @author Korisnik
 */
public class FormaProxy implements Forma {

    private FormaObicanKorisnik formaObicanKorisnik;
    private FormaPrivilegovanKorisnik formaPrivilegovanKorisnik;
    private FormaAdministrator formaAdministrator;
    private Korisnik korisnik;

    public FormaProxy(FormaObicanKorisnik formaObicanKorisnik, FormaPrivilegovanKorisnik formaPrivilegovanKorisnik, FormaAdministrator formaAdministrator, Korisnik korisnik) {
        this.formaObicanKorisnik = formaObicanKorisnik;
        this.formaPrivilegovanKorisnik = formaPrivilegovanKorisnik;
        this.formaAdministrator = formaAdministrator;
        this.korisnik = korisnik;
    }

    @Override
    public void prikaziFormu() {
        switch (korisnik.getUloga()) {
            case OBICAN_KORISNIK:
                formaObicanKorisnik.prikaziFormu();
                break;
            case PRIVILEGOVAN_KORISNIK:
                formaPrivilegovanKorisnik.prikaziFormu();
                break;
            case ADMINISTRATOR:
                formaAdministrator.prikaziFormu();
                break;
            default:
                break;
        }
    }

}
